Loading...
Searching...
No Matches
Opm::BaseVanguard< TypeTag > Class Template Reference

Provides the base class for most (all?) simulator vanguards. More...

`#include <basevanguard.hh>`

Inheritance diagram for Opm::BaseVanguard< TypeTag >:

## Public Member Functions

| BaseVanguard (Simulator &simulator)
| BaseVanguard (const BaseVanguard &)=delete
const GridView & | gridView () const
| Returns a reference to the grid view to be used.
int | gridSequenceNumber () const
| Returns the number of times the grid has been changed since its creation.
void | loadBalance ()
| Distribute the grid (and attached data) over all processes.
void | addLgrs ()
| Add LGRs to the grid, if any.

## Protected Member Functions

void | finalizeInit_ ()
void | updateGridView_ ()

## Detailed Description

template<class TypeTag>
class Opm::BaseVanguard< TypeTag >

Provides the base class for most (all?) simulator vanguards.

## Member Function Documentation

## addLgrs()

template<class TypeTag>

void Opm::BaseVanguard< TypeTag >::addLgrs | ( |  | ) |

inline

Add LGRs to the grid, if any.

Only supported for CpGrid - for now.

## gridSequenceNumber()

template<class TypeTag>

int Opm::BaseVanguard< TypeTag >::gridSequenceNumber | ( |  | ) | const

inline

Returns the number of times the grid has been changed since its creation.

This basically says how often the grid has been adapted in the current simulation run.

The documentation for this class was generated from the following file:

- opm/models/io/basevanguard.hh